import React, { useEffect, useRef, useState } from 'react';
import {getWebsite} from '../../utils/tools'
import CJVerifyHeader from '../CJVerifyHeader';
import { ChildObj } from '../CJDropdown';
import CJLanguage from '../CJLanguage';
import CJDropdown from '../CJDropdown';
import i18n from 'i18next';
const cjBaseWebsite = getWebsite();
const authList: Array<ChildObj> = [
  {
    label: 'Shopify',
    url: `${cjBaseWebsite}/myCJ.html#/authorize/Shopify`,
  },
  {
    label: 'eBay',
    url: `${cjBaseWebsite}/myCJ.html#/authorize/Ebay`,
  },
  {
    label: 'Woocommerce',
    url: `${cjBaseWebsite}/myCJ.html#/authorize/Woocommerce`,
  },
  {
    label: 'ShipStation',
    url: `${cjBaseWebsite}/myCJ.html#/authorize/Shipstation`,
  },
  {
    label: 'API',
    url: `${cjBaseWebsite}/myCJ.html#/authorize/API`,
  },
  {
    label: 'Lazada',
    url: `${cjBaseWebsite}/myCJ.html#/authorize/Lazada`,
  },
  {
    label: 'Shopee',
    url: `${cjBaseWebsite}/myCJ.html#/authorize/Shopee`,
  },
];
const CJHeader = ()=> {
  const isEmailVerify = localStorage.getItem('emailVerifyStatus') === '3';
  return (
    <div className="headerBox">
      {isEmailVerify && <CJVerifyHeader />}
      <div className="menuNav">
        <div className={`w1200 menuBox`}>
          <div className="boxLeft"></div>
            <CJDropdown title={'Authorization'} data={authList}/>
            <CJLanguage />
          </div>
        </div>
    </div>
  )
}
export default CJHeader;