import React from 'react';
import { Base64 } from 'js-base64';
import i18n from 'i18next';
import { useTranslation, initReactI18next } from "react-i18next";

interface WProps {}
i18n.use(initReactI18next) // passes i18n down to react-i18next
  .init({
    resources: {
      en: {
        translation: {
          "common-top-hey": "Hey",
          "common-top--to-make-sure-your-account-security-please-verify-your-email-address-here.":", to make sure your account security, please verify your email address here.",
          "common-top-verify-email":"Verify Email"
        }
      }
    },
    lng: "en", // if you're using a language detector, do not define the lng option
    fallbackLng: "en",

    interpolation: {
      escapeValue: false // react already safes from xss => https://www.i18next.com/translation-function/interpolation#unescape
    }
  });
export default (props: WProps) => {
  const email = localStorage.getItem('email');
  const deEmail = email ? Base64.decode(email):'';
  const website = location.origin;
  const url = `${website}/verify_email.html?target=${Base64.encode(
    window.location.href,
  )}`;
  return (
    <div className={'commontop-verifyemail'}>
      {i18n.t('common-top-hey')} {deEmail}{i18n.t('common-top--to-make-sure-your-account-security-please-verify-your-email-address-here.')}
      &nbsp;
      <a href={url} target="_blank" rel="noreferrer">{ i18n.t('common-top-verify-email') }
      </a>
    </div>
  );
};
